org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PathExpressionConstraint

- All Superinterfaces:
    CallableRelation, Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PathExpressionConstraintImpl

      public interface PathExpressionConstraint
      extends Constraint, CallableRelation

  A representation of the model object 'Path Expression Constraint'.

  The following features are supported:

  - `Edge Types`
  - `Source Type`
  - `Src`
  - `Dst`
  See Also:
    `PatternLanguagePackage.getPathExpressionConstraint()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueReference` | `getDst()` Returns the value of the 'Dst' containment reference.
    `org.eclipse.emf.common.util.EList<ReferenceType>` | `getEdgeTypes()` Returns the value of the 'Edge Types' containment reference list.
    `ClassType` | `getSourceType()` Returns the value of the 'Source Type' containment reference.
    `VariableReference` | `getSrc()` Returns the value of the 'Src' containment reference.
    `void` | `setDst(ValueReference value)` Sets the value of the '`Dst`' containment reference.
    `void` | `setSourceType(ClassType value)` Sets the value of the '`Source Type`' containment reference.
    `void` | `setSrc(VariableReference value)` Sets the value of the '`Src`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.CallableRelation

      `getTransitive, setTransitive`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEdgeTypes

          org.eclipse.emf.common.util.EList<ReferenceType> getEdgeTypes()

      Returns the value of the 'Edge Types' containment reference list. The list contents are of type `ReferenceType`.
      Returns:
        the value of the 'Edge Types' containment reference list.
      Since:
        2.0
      See Also:
        `PatternLanguagePackage.getPathExpressionConstraint_EdgeTypes()`
      Generated:
      Model:
        containment="true"

    - #### getSourceType

          ClassType getSourceType()

      Returns the value of the 'Source Type' containment reference.
      Returns:
        the value of the 'Source Type' containment reference.
      Since:
        2.0
      See Also:
        `setSourceType(ClassType)`, `PatternLanguagePackage.getPathExpressionConstraint_SourceType()`
      Generated:
      Model:
        containment="true"

    - #### setSourceType

          void setSourceType(ClassType value)

      Sets the value of the '`Source Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Source Type' containment reference.
      See Also:
        `getSourceType()`
      Generated:

    - #### getSrc

          VariableReference getSrc()

      Returns the value of the 'Src' containment reference.
      Returns:
        the value of the 'Src' containment reference.
      Since:
        2.0
      See Also:
        `setSrc(VariableReference)`, `PatternLanguagePackage.getPathExpressionConstraint_Src()`
      Generated:
      Model:
        containment="true"

    - #### setSrc

          void setSrc(VariableReference value)

      Sets the value of the '`Src`' containment reference.
      Parameters:
        `value` - the new value of the 'Src' containment reference.
      See Also:
        `getSrc()`
      Generated:

    - #### getDst

          ValueReference getDst()

      Returns the value of the 'Dst' containment reference.
      Returns:
        the value of the 'Dst' containment reference.
      Since:
        2.0
      See Also:
        `setDst(ValueReference)`, `PatternLanguagePackage.getPathExpressionConstraint_Dst()`
      Generated:
      Model:
        containment="true"

    - #### setDst

          void setDst(ValueReference value)

      Sets the value of the '`Dst`' containment reference.
      Parameters:
        `value` - the new value of the 'Dst' containment reference.
      See Also:
        `getDst()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"